Loading...
Searching...
No Matches
AVIAMFSubmixLayout Struct Reference
libavutil » Audio related » Immersive Audio Model and Formats » Mix Presentation

Submix layout as defined in section 3.7.6 of IAMF. More...

`#include <libavutil/iamf.h>`

## Data Fields

const AVClass * | av_class
enum AVIAMFSubmixLayoutType | layout_type
AVChannelLayout | sound_system
| Channel layout matching one of Sound Systems A to J of ITU-2051-3, plus 7.1.2ch and 3.1.2ch If layout_type is not AV_IAMF_SUBMIX_LAYOUT_TYPE_LOUDSPEAKERS, this field is undefined.
AVRational | integrated_loudness
| The program integrated loudness information, as defined in ITU-1770-4.
AVRational | digital_peak
| The digital (sampled) peak value of the audio signal, as defined in ITU-1770-4.
AVRational | true_peak
| The true peak of the audio signal, as defined in ITU-1770-4.
AVRational | dialogue_anchored_loudness
| The Dialogue loudness information, as defined in ITU-1770-4.
AVRational | album_anchored_loudness
| The Album loudness information, as defined in ITU-1770-4.

## Detailed Description

Submix layout as defined in section 3.7.6 of IAMF.

Note
  The struct should be allocated with av_iamf_submix_add_layout() and its size is not a part of the public ABI.

Definition at line 510 of file iamf.h.

## Field Documentation

## av_class

const AVClass* AVIAMFSubmixLayout::av_class

Definition at line 511 of file iamf.h.

## layout_type

enum AVIAMFSubmixLayoutType AVIAMFSubmixLayout::layout_type

Definition at line 513 of file iamf.h.

## sound_system

AVChannelLayout AVIAMFSubmixLayout::sound_system

Channel layout matching one of Sound Systems A to J of ITU-2051-3, plus 7.1.2ch and 3.1.2ch If layout_type is not AV_IAMF_SUBMIX_LAYOUT_TYPE_LOUDSPEAKERS, this field is undefined.

Definition at line 521 of file iamf.h.

## integrated_loudness

AVRational AVIAMFSubmixLayout::integrated_loudness

The program integrated loudness information, as defined in ITU-1770-4.

Definition at line 526 of file iamf.h.

## digital_peak

AVRational AVIAMFSubmixLayout::digital_peak

The digital (sampled) peak value of the audio signal, as defined in ITU-1770-4.

Definition at line 531 of file iamf.h.

## true_peak

AVRational AVIAMFSubmixLayout::true_peak

The true peak of the audio signal, as defined in ITU-1770-4.

Definition at line 535 of file iamf.h.

## dialogue_anchored_loudness

AVRational AVIAMFSubmixLayout::dialogue_anchored_loudness

The Dialogue loudness information, as defined in ITU-1770-4.

Definition at line 539 of file iamf.h.

## album_anchored_loudness

AVRational AVIAMFSubmixLayout::album_anchored_loudness

The Album loudness information, as defined in ITU-1770-4.

Definition at line 543 of file iamf.h.

The documentation for this struct was generated from the following file:

- libavutil/iamf.h